Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005710OCamlOCaml generalpublic2012-07-31 19:372013-05-17 21:32
Reporterdidc 
Assigned Todoligez 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.00.0 
Target Version4.01.0+devFixed in Version4.01.0+dev 
Summary0005710: test suite cannot be ran without installing first
DescriptionThe test scripts partly expect the compiler to be installed in order to complete successfully. In certain circumstances, the person compiling the software suite may not have the necessary priviledges, or simply may not wish to do things in that order.
Additional InformationI provide a patch which make the necessary changes in the testsuitEs scripts to only rely on the project binaries.
There are some remaining issues though:
1- non unix platforms (ie MS-Windows), are not handled,
2- The scripts use some gnu make specificities (see otherlibs.mk)
3- I tried to handle support for mono 2.0 in the csharp tests and it seems to work, but it may have broken the test for the real tying,
4- I'm not sure that lib threads/systhreads are handled correctly, although everything pass.

Thank you!
TagsNo tags attached.
Attached Filesgz file icon testsuite.diff.gz [^] (6,020 bytes) 2012-07-31 19:37
gz file icon testsuite-2.diff.gz [^] (5,917 bytes) 2012-07-31 23:59

- Relationships
has duplicate 0005483closedxclerc The testsuite cannot be run without installation 

-  Notes
(0007851)
didc (reporter)
2012-07-31 23:56

please disregard the first patch, as it contains superfluous files. I provide hereafter an updated patch without these.
(0007852)
glondu (reporter)
2012-08-01 08:55

Duplicate of 0005483
(0009294)
doligez (administrator)
2013-05-17 17:07

I have applied the Mono part of the patch, and I'm working on the main topic: making the testsuite work without installing, as well as making it work on Windows.
(0009295)
glondu (reporter)
2013-05-17 17:28

Thanks! It will be greatly appreciated.
(0009302)
doligez (administrator)
2013-05-17 21:32

fixed in trunk (r13687)

- Issue History
Date Modified Username Field Change
2012-07-31 19:37 didc New Issue
2012-07-31 19:37 didc File Added: testsuite.diff.gz
2012-07-31 23:56 didc Note Added: 0007851
2012-07-31 23:59 didc File Added: testsuite-2.diff.gz
2012-08-01 08:55 glondu Note Added: 0007852
2012-08-01 10:19 frisch Relationship added duplicate of 0005483
2012-08-01 11:14 frisch Target Version => 4.00.1+dev
2012-08-01 11:15 frisch Assigned To => xclerc
2012-08-01 11:15 frisch Status new => assigned
2012-08-01 11:15 frisch Relationship replaced has duplicate 0005483
2012-09-21 15:02 doligez Target Version 4.00.1+dev => 4.01.0+dev
2013-05-17 16:08 doligez Assigned To xclerc => doligez
2013-05-17 17:07 doligez Note Added: 0009294
2013-05-17 17:28 glondu Note Added: 0009295
2013-05-17 21:32 doligez Note Added: 0009302
2013-05-17 21:32 doligez Status assigned => closed
2013-05-17 21:32 doligez Resolution open => fixed
2013-05-17 21:32 doligez Fixed in Version => 4.01.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker